Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/utils/subscribe/subscribe.component.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/utils/subscribe/subscribe.component.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/utils/subscribe/subscribe.component.ts	(revision 59305)
@@ -14,6 +14,7 @@
 import {UserManagementService} from "../../openaireLibrary/services/user-management.service";
 import {Subscription} from "rxjs";
 import {properties} from "../../../environments/environment";
+import {UserRegistryService} from "../../openaireLibrary/services/user-registry.service";
 
 declare var UIkit: any;
 
@@ -26,22 +27,26 @@
       <a class="uk-alert-close" uk-close></a>
       <p>Please login first to subscribe</p>
       </div>
-      <button *ngIf="!subscribed" [class]="'uk-button portal-button uk-button-small uk-width-1-1 ' + (loading ? ' uk-disabled' : '')"
+      <button *ngIf="!subscribed"
+              [class]="'uk-button portal-button uk-button-small uk-width-1-1 ' + (loading ? ' uk-disabled' : '')"
               (click)="subscribe()">
         <span class="uk-icon uk-flex uk-flex-middle">
           <svg height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
             <path d="M0 0h24v24H0z" fill="none"></path>
-            <path d="M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"></path>
+            <path
+                d="M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"></path>
           </svg>
           <span class="space">Subscribe</span> 
         </span>
       </button>
-      <button *ngIf="subscribed" [class]="'subscribed-button uk-button uk-button-small uk-width-1-1 ' + (loading ? ' uk-disabled' : '')"
+      <button *ngIf="subscribed"
+              [class]="'subscribed-button uk-button uk-button-small uk-width-1-1 ' + (loading ? ' uk-disabled' : '')"
               (click)="confirmOpen()">
         <span class="uk-icon uk-flex uk-flex-middle">
           <svg height="24" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
             <path d="M0 0h24v24H0z" fill="none"></path>
-            <path d="M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"></path>
+            <path
+                d="M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"></path>
           </svg>
           <span class="space">Subscribed</span> 
         </span>
@@ -62,10 +67,10 @@
   @Input() communityId: string;
   @Input() showTemplate: boolean = true;
   @Output() subscribeEvent = new EventEmitter();
-
+  
   public community = null;
   public emailToInformManagers: Email;
-
+  
   loading: boolean = false;
   subscribed: boolean = null;
   @Input() properties: EnvProperties;
@@ -74,30 +79,28 @@
   showLoginAlert: Boolean = false;
   @ViewChild(AlertModal) alert;
   private user: User;
-
+  
   subs: Subscription[] = [];
-
+  
   constructor(private route: ActivatedRoute,
               private _subscribeService: SubscribeService,
               private _emailService: EmailService,
               private _communityService: CommunityService,
               private router: Router,
-              private userManagementService: UserManagementService
-  ) {}
-
+              private userManagementService: UserManagementService,
+              private userRegistryService: UserRegistryService
+  ) {
+  }
+  
   public ngOnInit() {
-    if(!this.properties) {
+    if (!this.properties) {
       this.properties = properties;
     }
-    if(!this.showNumbers) {
+    if (!this.showNumbers) {
       this.subs.push(this.userManagementService.getUserInfo().subscribe(
         user => {
           this.user = user;
           this.init();
-        },
-        error => {},
-        () => {
-          this.init();
         }
       ));
     } else {
@@ -105,26 +108,35 @@
     }
     //this.init();
   }
-
+  
   public ngOnDestroy() {
     for (let sub of this.subs) {
       sub.unsubscribe();
     }
   }
-
+  
   private isSubscribed() {
-    this.subs.push(this._subscribeService.isSubscribed.subscribe(
-      res => {
-        this.subscribed = res;
-        if (this.subscribed) {
-          this.subscribeEvent.emit({
-            value: "ok"
-          });
+    this.subscribed = Session.isSubscribedTo('community', this.communityId, this.user);
+    if (!this.subscribed) {
+      this.subs.push(this._subscribeService.isSubscribed.subscribe(
+        res => {
+          this.subscribed = res;
+          if (this.subscribed) {
+            this.subscribeEvent.emit({
+              value: "ok"
+            });
+          }
         }
+      ));
+    } else {
+      if (this.subscribed) {
+        this.subscribeEvent.emit({
+          value: "ok"
+        });
       }
-    ));
+    }
   }
-
+  
   private init() {
     if (!this.showNumbers) {
       let email = (this.user) ? this.user.email : null;
@@ -132,19 +144,6 @@
         this.subscribed = false;
       } else {
         if (this.communityId) {
-          // this._subscribeService.isSubscribedToCommunity(this.properties, this.communityId).subscribe(
-          //   res => {
-          //     this.subscribed = res;
-          //     if (this.subscribed) {
-          //       this.subscribeEvent.emit({
-          //         value: "ok"
-          //       });
-          //     }
-          //   },
-          //   error => {
-          //     this.handleError("Error getting response if email: " + email + " is subscribed to community with id: " + this.communityId, error);
-          //   });
-
           this._subscribeService.initIsSubscribedToCommunity(this.properties, this.communityId);
           this.isSubscribed();
         }
@@ -151,21 +150,33 @@
       }
     } else {
       if (this.communityId) {
-        this.subs.push(this._subscribeService.getNumberOfCommunitySubscribers(this.properties, this.communityId).subscribe(
-          res => {
-            this.subscribers = (res && res.value) ? res.value : 0;//(res && res.subscribers && res.subscribers.length) ? res.subscribers.length : 0;
-            this.countSubscribersEvent.emit({
-              value: this.subscribers
-            });
-          },
-          error => {
-            this.handleError("Error getting community subscribers for community with id: " + this.communityId, error);
-          }));
+        if (properties.environment !== 'development') {
+          this.subs.push(this._subscribeService.getNumberOfCommunitySubscribers(this.properties, this.communityId).subscribe(
+            res => {
+              this.subscribers = (res && res.value) ? res.value : 0;//(res && res.subscribers && res.subscribers.length) ? res.subscribers.length : 0;
+              this.countSubscribersEvent.emit({
+                value: this.subscribers
+              });
+            },
+            error => {
+              this.handleError("Error getting community subscribers for community with id: " + this.communityId, error);
+            }));
+        } else {
+          this.subs.push(this.userRegistryService.getSubscribersCount('community', this.communityId).subscribe(res => {
+              this.subscribers = (res && res.response) ? res.response : 0;
+              this.countSubscribersEvent.emit({
+                value: this.subscribers
+              });
+            },
+            error => {
+              this.handleError("Error getting community subscribers for community with id: " + this.communityId, error);
+            }));
+        }
       }
     }
     if (this.communityId) {
       this.emailToInformManagers = {body: "", subject: "", recipients: []};
-
+      
       this.subs.push(this._communityService.getCommunityByState(this.properties, this.properties.communityAPI + this.communityId).subscribe(
         community => {
           this.community = community;
@@ -177,7 +188,26 @@
       ));
     }
   }
-
+  
+  private successfulSubscribe(email) {
+    if (!this.subscribed) {
+      this.subscribed = true;
+      this.subscribeEvent.emit({
+        value: "ok"
+      });
+      this.subs.push(this._emailService.notifyForNewManagers(this.properties, this.communityId, Composer.composeEmailToInformManagers(this.community.title, this.communityId, this.community.managers,
+        email, this.properties.adminPortalURL)).subscribe(
+        res => {
+          //console.log("The email has been sent successfully!")
+        },
+        error => {
+          //console.log(error)
+          this.handleError("Error notifying managers about new subscribers for community with id: " + this.communityId, error);
+        }
+      ));
+    }
+  }
+  
   subscribe() {
     var email = (this.user) ? this.user.email : null;
     if (email == null) {
@@ -192,6 +222,23 @@
     } else {
       this.loading = true;
       this.showLoginAlert = false;
+      if(properties.environment === 'development') {
+        this.subs.push(this.userRegistryService.subscribeTo('community', this.communityId).subscribe(res => {
+          this.userManagementService.updateUserInfo();
+          this.loading = false;
+          this.successfulSubscribe(email);
+        },error => {
+          this.loading = false;
+          UIkit.notification({
+            message: '<strong>An error occurred. Please try again!<strong>',
+            status: 'warning',
+            timeout: 3000,
+            pos: 'top-center'
+          });
+          //console.log(error)
+          this.handleError("Error subscribing email: " + email + " from community with id: " + this.communityId, error);
+        }));
+      }
       this.subs.push(this._subscribeService.subscribeToCommunity(this.properties, this.communityId).subscribe(
         res => {
           this.loading = false;
@@ -200,28 +247,13 @@
               value: "error"
             });
             UIkit.notification({
-              message: '<strong>An error occured. Please try again!<strong>',
+              message: '<strong>An error occurred. Please try again!<strong>',
               status: 'warning',
               timeout: 3000,
               pos: 'top-center'
             });
           } else {
-            if (!this.subscribed) {
-              this.subscribed = true;
-              this.subscribeEvent.emit({
-                value: "ok"
-              });
-              this.subs.push(this._emailService.notifyForNewManagers(this.properties, this.communityId, Composer.composeEmailToInformManagers(this.community.title, this.communityId, this.community.managers,
-                    email, this.properties.adminPortalURL)).subscribe(
-                res => {
-                  //console.log("The email has been sent successfully!")
-                },
-                error => {
-                  //console.log(error)
-                  this.handleError("Error notifying managers about new subscribers for community with id: " + this.communityId, error);
-                }
-              ));
-            }
+            this.successfulSubscribe(email);
           }
         },
         error => {
@@ -230,7 +262,7 @@
             value: "error"
           });
           UIkit.notification({
-            message: '<strong>An error occured. Please try again!<strong>',
+            message: '<strong>An error occurred. Please try again!<strong>',
             status: 'warning',
             timeout: 3000,
             pos: 'top-center'
@@ -240,7 +272,7 @@
         }));
     }
   }
-
+  
   unsubscribe() {
     var email = (this.user) ? this.user.email : null;
     if (email == null) {
@@ -247,13 +279,29 @@
       this.subscribed = false;
     } else {
       this.loading = true;
-      //this.properties.adminToolsAPIURL
+      if(properties.environment === 'development') {
+        this.subs.push(this.userRegistryService.unsubscribeFrom('community', this.communityId).subscribe(res => {
+          this.userManagementService.updateUserInfo();
+          this.loading = false;
+          this.subscribed = false;
+        },error => {
+            this.loading = false;
+            UIkit.notification({
+              message: '<strong>An error occurred. Please try again!<strong>',
+              status: 'warning',
+              timeout: 3000,
+              pos: 'top-center'
+            });
+            //console.log(error)
+            this.handleError("Error unsubscribing email: " + email + " from community with id: " + this.communityId, error);
+          }));
+      }
       this.subs.push(this._subscribeService.unSubscribeToCommunity(this.properties, this.communityId).subscribe(
         res => {
           this.loading = false;
           if (res.status && res.status != 200) {
             UIkit.notification({
-              message: '<strong>An error occured. Please try again!<strong>',
+              message: '<strong>An error occurred. Please try again!<strong>',
               status: 'warning',
               timeout: 3000,
               pos: 'top-center'
@@ -268,7 +316,7 @@
         error => {
           this.loading = false;
           UIkit.notification({
-            message: '<strong>An error occured. Please try again!<strong>',
+            message: '<strong>An error occurred. Please try again!<strong>',
             status: 'warning',
             timeout: 3000,
             pos: 'top-center'
@@ -278,9 +326,9 @@
         }));
     }
   }
-
+  
   confirmOpen() {
-
+    
     this.alert.cancelButton = true;
     this.alert.okButton = true;
     //this.alert.alertTitle = "Unsubscribe community ";
@@ -290,11 +338,11 @@
     this.alert.cancelButtonText = "CANCEL";
     this.alert.open();
   }
-
+  
   confirmClose(data) {
     this.unsubscribe();
   }
-
+  
   private handleError(message: string, error) {
     console.error("Subscribe (component): " + message, error);
   }
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/claims/linking/linking-routing.module.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/claims/linking/linking-routing.module.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/app/claims/linking/linking-routing.module.ts	(revision 59305)
@@ -1,11 +1,10 @@
-import { NgModule } from '@angular/core';
-import { RouterModule } from '@angular/router';
-import { OpenaireLinkingComponent } from './linkingGeneric.component';
-
-import {LoginGuard} from '../../openaireLibrary/login/loginGuard.guard';
+import {NgModule} from '@angular/core';
+import {RouterModule} from '@angular/router';
+import {OpenaireLinkingComponent} from './linkingGeneric.component';
 import {PreviousRouteRecorder} from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
 import {IsRouteEnabled} from '../../openaireLibrary/error/isRouteEnabled.guard';
 import {ConnectSubscriberGuard} from '../../openaireLibrary/connect/communityGuard/connectSubscriber.guard';
+
 //LoginGuard
 @NgModule({
   imports: [
Index: modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.ts
===================================================================
--- modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.ts	(revision 59304)
+++ modules/uoa-connect-portal/branches/use-UoaAdminToolsLibrary/src/environments/environment.ts	(revision 59305)
@@ -52,9 +52,10 @@
   vocabulariesAPI: 'https://dev-openaire.d4science.org/provision/mvc/vocabularies/',
   piwikBaseUrl: 'https://analytics.openaire.eu/piwik.php?idsite=',
   piwikSiteId: '80',
-  loginUrl: 'http://dl170.madgik.di.uoa.gr:8180/dnet-openaire-users-1.0.0-SNAPSHOT/openid_connect_login',
-  userInfoUrl: 'http://dl170.madgik.di.uoa.gr:8180/dnet-openaire-users-1.0.0-SNAPSHOT/api/users/getUserInfo?accessToken=',
-  logoutUrl: 'https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=',
+  loginUrl: 'http://mpagasas.di.uoa.gr:8080/dnet-openaire-users-1.0.0-SNAPSHOT/openid_connect_login',
+  userInfoUrl: 'http://mpagasas.di.uoa.gr:8080/dnet-openaire-users-1.0.0-SNAPSHOT/api/users/getUserInfo?accessToken=',
+  registryUrl: 'http://mpagasas.di.uoa.gr:8080/dnet-openaire-users-1.0.0-SNAPSHOT/api/registry/',
+  logoutUrl: 'https://openaire-dev.aai-dev.grnet.gr/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=',
   cookieDomain: '.di.uoa.gr',
   feedbackmail: 'openaire.test@gmail.com',
   cacheUrl: 'http://dl170.madgik.di.uoa.gr:3000/get?url=',
